dnl Check for gsl
dnl
dnl Usage:
dnl GSL_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl The CPPFLAGS and LIBS flag will be modified accordingly.
dnl GSL_INCLUDES and GSL_LIBS will contain the includes and libs
dnl needed.
dnl
dnl Author: Fred Labrosse <ffl@aber.ac.uk>.
dnl
AC_DEFUN([GSL_CHECK], [
AC_SUBST(GSL_INCLUDES)
AC_SUBST(GSL_LIBS)
  AC_MSG_CHECKING([for GSL])
  if gsl-config --version >/dev/null 2>/dev/null; then
      GSL_INCLUDES="`gsl-config --cflags`"
      CPPFLAGS="$CPPFLAGS $GSL_INCLUDES"
      GSL_LIBS="`gsl-config --libs`"
      LIBS="$LIBS $GSL_LIBS"
      gsl_avail=yes
      GSL_VERSION="`gsl-config --version`"
      AC_MSG_RESULT([found version $GSL_VERSION])
  else
      gsl_avail=no
      AC_MSG_RESULT([no])
  fi

  if test "$gsl_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
])
