dnl Check for gtk+-2
dnl
dnl Usage:
dnl GTK_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl The CPPFLAGS and LIBS flag will be modified accordingly.
dnl GTK_INCLUDES and GTK_LIBS will contain the includes and libs
dnl needed.
dnl
dnl Author: Fred Labrosse <ffl@aber.ac.uk>.
dnl
AC_DEFUN([GTK_CHECK], [
AC_SUBST(GTK_INCLUDES)
AC_SUBST(GTK_LIBS)
AC_ARG_WITH([gtk],
AC_HELP_STRING([--with-gtk],
               [use gtk (default is yes if available)]),
      [if test "$withval" = "no"; then
         want_gtk="no"
      else
         want_gtk="yes"
      fi],
      [want_gtk="yes"])
if test "x$want_gtk" = "xyes"; then
  AC_MSG_CHECKING([for gtk+-2])
  if pkg-config gtk+-2.0 --modversion >/dev/null 2>/dev/null; then
      GTK_INCLUDES="`pkg-config gtk+-2.0 --cflags`"
      CPPFLAGS="$CPPFLAGS $GTK_INCLUDES"
      GTK_LIBS="`pkg-config gtk+-2.0 --libs`"
      LIBS="$LIBS $GTK_LIBS"
      gtk_avail=yes
      GTK_VERSION="`pkg-config gtk+-2.0 --modversion`"
      AC_MSG_RESULT([found version $GTK_VERSION])
  else
      gtk_avail=no
      AC_MSG_RESULT([no (maybe pkg-config missing?)])
  fi

  if test "$gtk_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
else
   AM_CONDITIONAL(BUILD_GTK_SUPPORT, test xtrue = xfalse)
fi
])
