dnl Check for GDK-imlib
dnl
dnl Usage:
dnl IMLIB_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl The CPPFLAGS and LIBS flag will be modified accordingly.
dnl IMLIB_INCLUDES and IMLIB_LIBS will contain the includes and libs
dnl needed.
dnl
dnl Author: Fred Labrosse, <ffl@aber.ac.uk>.
dnl
AC_DEFUN([IMLIB_CHECK], [
AC_SUBST(IMLIB_INCLUDES)
AC_SUBST(IMLIB_LIBS)
  AC_MSG_CHECKING([for GDK-imlib])
  if imlib-config --cflags-gdk >/dev/null 2>/dev/null; then
    if gtk-config --version gtk >/dev/null 2>/dev/null; then
      IMLIB_INCLUDES="`imlib-config --cflags-gdk`"
      CPPFLAGS="$CPPFLAGS $IMLIB_INCLUDES"
      IMLIB_LIBS="`imlib-config --libs-gdk`"
      LIBS="$LIBS $IMLIB_LIBS"
      imlib_avail=yes
      IMLIB_VERSION="`imlib-config --version`"
      AC_MSG_RESULT([found version $IMLIB_VERSION])
    fi
  else
      imlib_avail=no
      AC_MSG_RESULT([no])
  fi

  if test "$imlib_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
])
