dnl Check for libConfuse
dnl
dnl Usage:
dnl LIBCONFUSE_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl The CPPFLAGS and LIBS flag will be modified accordingly.
dnl LIBCONFUSE_INCLUDES and LIBCONFUSE_LIBS will contain the includes and libs
dnl needed.
dnl
dnl Author: Fred Labrosse <ffl@aber.ac.uk>.
dnl
AC_DEFUN([LIBCONFUSE_CHECK], [
AC_SUBST(LIBCONFUSE_INCLUDES)
AC_SUBST(LIBCONFUSE_LIBS)
  AC_MSG_CHECKING([for libConfuse])
  if pkg-config libconfuse --modversion >/dev/null 2>/dev/null; then
      LIBCONFUSE_INCLUDES="`pkg-config libconfuse --cflags`"
      CPPFLAGS="$CPPFLAGS $LIBCONFUSE_INCLUDES"
      LIBCONFUSE_LIBS="`pkg-config libconfuse --libs`"
      LIBS="$LIBS $LIBCONFUSE_LIBS"
      libconfuse_avail=yes
      LIBCONFUSE_VERSION="`pkg-config libconfuse --modversion`"
      AC_MSG_RESULT([found version $LIBCONFUSE_VERSION])
  else
      libconfuse_avail=no
      AC_MSG_RESULT([no (maybe pkg-config missing?)])
  fi

  if test "$libconfuse_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
])
