dnl Check for libpng
dnl
dnl Usage:
dnl PNG_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl The CPPFLAGS and LIBS flag will be modified accordingly.
dnl LIBPNG_INCLUDES and LIBPNG_LIBS will contain the includes and libs
dnl needed.
dnl
dnl Author: Fred Labrosse, <ffl@aber.ac.uk>.
AC_DEFUN([PNG_CHECK], [
AC_SUBST(LIBPNG_INCLUDES)
AC_SUBST(LIBPNG_LIBS)
  AC_MSG_CHECKING([for libpng])
  if libpng-config --version >/dev/null 2>/dev/null; then
      LIBPNG_INCLUDES="`libpng-config --cflags`"
      CPPFLAGS="$CPPFLAGS $LIBPNG_INCLUDES"
#      LIBPNG_LIBS="-L`libpng-config --libdir` `libpng-config --libs`"
      LIBPNG_LIBS="`libpng-config --libs`"
      LIBS="$LIBS $LIBPNG_LIBS"
      lib_png_avail=yes
      LIBPNG_VERSION="`libpng-config --version`"
      AC_MSG_RESULT([found version $LIBPNG_VERSION])
  else
      lib_png_avail=no
      AC_MSG_RESULT([no])
  fi

  if test "$lib_png_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
])

