dnl Usage:
dnl  X11_CHECK([ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
dnl
dnl  Try to find the X11 development system. If it is found, the CPPFLAGS
dnl  and LIBS flags are modified accordingly.
dnl
dnl Author: Fred Labrosse, <ffl@aber.ac.uk>.
dnl

AC_DEFUN([X11_CHECK], [
  AC_PATH_XTRA

  if test x"$no_x" != xyes; then
    CPPFLAGS="$CPPFLAGS $X_CFLAGS"
    LDFLAGS="$LDFLAGS"
    LIBS="$X_PRE_LIBS -lX11 $X_EXTRA_LIBS $X_LIBS $LIBS"
    x11_avail=yes
  else
    x11_avail=no
  fi

  if test "$x11_avail" = yes; then
    ifelse($1, , :, $1)
  else
    ifelse($2, , :, $2)
  fi
])
